coupang
GET/v2/providers/seller_api/apis/api/v1/marketplace/seller-products/{sellerProductId}/histories2609170000

Query a history of product status updates

# 01

Summary

Query a history of product status updates

# 02

Details

Available buyer market: Korea, Taiwan

Query a history of product status updates using Listed Product ID (sellerProductId).

Path

GET/v2/providers/seller_api/apis/api/v1/marketplace/seller-products/{sellerProductId}/histories

Example endpoint

https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/seller-products/{sellerProductId}/histories

URL API Name

GET_PRODUCT_STATUS_HISTORY
# 03

Path parameters

NameTypeDescription
sellerProductId*number
Listed Product ID (sellerProductId)
# 04

Query parameters

NameTypeDescription
nextTokennumber
Page
Token value to call the next page
Enter nothing or '1' to call the 1st page
maxPerPagenumber

of results per page

Default value: 10
# 05

Response body

Response message

NameTypeDescription
codestring
Result code
SUCCESS/ERROR
messagestring
Result message
nextTokenstring
Next page
Null string if the next page is unavailable
dataobject[]
Status update history
Repeat as many times as the number of historical status updates
status
data[].status
string
  • Under review
  • Temporarily saved
  • Awaiting approval
  • Approved
  • Partially approved
  • Approval denied
  • Product deleted
comment
data[].comment
string
Details of status update
createdBy
data[].createdBy
string
To be processed automatically by 'Coupang Seller System' if set to SYSTEM
createdAt
data[].createdAt
string
Date/time of status update
"yyyy-MM-dd'T'HH:mm:ss"

Response Example

{
  "code": "200",
  "message": "",
  "data": [
    {
      "createdAt": "2015-09-02T09:41:25",
      "status": "승인대기중",
      "createdBy": "쿠팡 셀러 시스템",
      "comment": "컨텐츠 확인 대기중"
    },
    {
      "createdAt": "2015-09-02T09:37:33",
      "status": "승인대기중",
      "createdBy": "박**",
      "comment": "큐레이터 컨텐츠 확인 요청"
    },
    {
      "createdAt": "2015-09-02T09:30:11",
      "status": "승인대기중",
      "createdBy": "박**",
      "comment": "승인완료 - Items 생성 완료"
    },
    {
      "createdAt": "2015-08-31T07:42:30",
      "status": "승인대기중",
      "createdBy": "쿠팡 셀러 시스템",
      "comment": "승인 관련 정보 생성 중"
    },
    {
      "createdAt": "2015-08-31T07:40:45",
      "status": "승인요청",
      "createdBy": "(주)5천원",
      "comment": "판매자 승인요청"
    },
    {
      "createdAt": "2015-08-31T06:17:25",
      "status": "임시저장",
      "createdBy": "(주)5천원",
      "comment": "판매자 임시저장"
    }
  ]
}
# 06

Error codes

HTTPCodeMessage
--